> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yieldo.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Login



## OpenAPI

````yaml https://api.yieldo.xyz/openapi.json post /v1/creators/login
openapi: 3.1.0
info:
  title: Yieldo API
  description: Cross-chain deposit aggregator for ERC-4626 and custom yield vaults
  version: 1.0.0
servers:
  - url: https://api.yieldo.xyz
    description: Production
security: []
paths:
  /v1/creators/login:
    post:
      tags:
        - creators
        - creators
      summary: Login
      operationId: login_v1_creators_login_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/KolLoginRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KolLoginResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    KolLoginRequest:
      properties:
        address:
          type: string
          title: Address
        signature:
          type: string
          title: Signature
      type: object
      required:
        - address
        - signature
      title: KolLoginRequest
    KolLoginResponse:
      properties:
        session_token:
          type: string
          title: Session Token
        expires_at:
          type: string
          title: Expires At
        kol:
          type: object
          title: Kol
      type: object
      required:
        - session_token
        - expires_at
        - kol
      title: KolLoginResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````